.namespace LeftLocations

NBSCREEN = 19
NBMAXVIGNETTES = 6
SHIFTBETWEENTWOVIGNETTES = 30
INITPOSX={
			{53},
			{38,85},
			{9,55,97},
			{0,33,77,112},
			{-4,33,67,100,138},
}

PROGRESSION={
	{1,2,3,4,5},
	{6,7},
	{8,7},
	{9,10},
	{11,12},
	{13,12},
	{14,15,16,17},
	{18},
	{19},
}
g_mainvignette = nil
function OnEnable()
	OPLog.Log("enable locations")
	 UpdateVignettes()
end

function OnDisable()
end

function UpdateVignettes()
	OPLog.Log("Update vignettes lieux")
	g_mainvignette = nil
	local scenenum
	local prefixe
	local compteur = 0
	--On réinitialise les vignettes
	Location_polaroid01.Enabled = false
	Location_polaroid02.Enabled = false
	Location_polaroid03.Enabled = false
	Location_polaroid04.Enabled = false
	Location_polaroid05.Enabled = false
	i=1
	l=1
	--On gere les niveaux comme ça, a ameliorer ?
	if UserData.IsEqual("s06_discovered",true) then -- niveau 2
		i=6
		l=2
	end
	if UserData.IsEqual("s08_discovered",true) then -- niveau 2 on echange s06 et s07
		i=7
		l=3
	end
	if UserData.IsEqual("s09_discovered",true) then -- niveau 3
		i=9
		l=4
	end
	if UserData.IsEqual("s11_discovered",true) then -- niveau 4
		i=11
		l=5
	end	
	if UserData.IsEqual("s13_discovered",true) then -- niveau 4
		i=12
		l=6
	end		
	if UserData.IsEqual("s14_discovered",true) then -- niveau 5
		i=14
		l=7
	end
	if UserData.IsEqual("s18_discovered",true) then -- niveau 5
		i=18
		l=8
	end	
	if UserData.IsEqual("s19_discovered",true) then -- niveau 5
		i=19
		l=9
	end	
	local z=1
	local PartLength = #PROGRESSION[l]
	for z=z,PartLength do
		if PROGRESSION[l][z] > 9 then
			scenenum = PROGRESSION[l][z]
		else
			scenenum = "0"..PROGRESSION[l][z]
		end	
		prefixe = "s"..scenenum
		
		if UserData.IsRegistered(prefixe.."_discovered") and UserData.Get(prefixe.."_discovered") then
			compteur = compteur+1
			OPLog.Log("Vignette : "..prefixe)
			vignette = OPUnitFactory.GetUnit("Location_polaroid0"..compteur)
			vignette.Image = "media/graph/vignettes/"..prefixe..".png"

				if GetCurrentManager().Name == prefixe.."_SearchSite"  then
						vignette.Enabled= true
						vignette.active = false
						vignette.Scale_X = 1
						vignette.Scale_Y = 1
						vignette.Rotation = 0
						vignette.Layer = LayerPopup01
						g_mainvignette = vignette
						vignette.Color.g = 255
						vignette.Color.b = 255
						vignette.Color.r = 255
						if string.find(GetCurrentManager().Name,"_SearchSite") then -- pas génial
							Locations_txt.Text =  GlobalFunctions.GetText(string.gsub(GetCurrentManager().Name,"_SearchSite",""))
						end
				else
						vignette.Enabled= true
						vignette.active = true
						vignette.Scale_X = 0.75
						vignette.Scale_Y = 0.75
						vignette.Rotation = 0.2
						vignette.Layer = LayerPopup
						vignette.Color.g = 128
						vignette.Color.b = 128
						vignette.Color.r = 128
				end
				vignette.Lieu = prefixe.."_SearchSite"

				vignette.Flags_Visible = true
				
		else
			break
		end
	
	end
	-- for i=i,NBSCREEN do
		-- if i > 9 then
			-- scenenum = i
		-- else
			-- scenenum = "0"..i
		-- end	
		-- prefixe = "s"..scenenum
		-- compteur = compteur+1
		-- if compteur < NBMAXVIGNETTES then
			-- vignette = OPUnitFactory.GetUnit("Location_polaroid0"..compteur)
			-- if UserData.IsRegistered(prefixe.."_discovered") and UserData.Get(prefixe.."_discovered") then
				
		-- else
			-- break	
		-- end
	-- end
	local z = compteur
	OPLog.Log("compteur : "..z)
	for j=1,z do
		vignette = OPUnitFactory.GetUnit("Location_polaroid0"..j)
		vignette.Position_Y = 30
		vignette.Position_X = INITPOSX[z][j]
		OPLog.Log(z.. " "..j.." "..INITPOSX[z][j])
	end	
end